//
//  mybutton.cpp
//  klausfun2
//
//  Created by Brad Garton on 3/3/15.
//
//

#include "mybutton.h"

void mybutton::setup(float xval, float yval, float wval, float hval, float WIDTH, float HEIGHT) {
    x = xval;
    y = yval;
    w = wval;
    h = hval;
    
    twidth = WIDTH;
    theight = HEIGHT;
    xincr = ofRandom(-1.5, 1.5);
    yincr = ofRandom(-1.5, 1.5);
    upper = 2.0;
    
    buttonclicked = 0;
}

void mybutton::draw() {
    if (buttonclicked == 0)
        ofSetColor(0, 0, 255);
    else
        ofSetColor(255, 0, 0);
    
    ofRect(x, y, w, h);
    x = x+xincr;
    y = y+yincr;
    
    if (x > twidth) {
        x = twidth;
        xincr = -xincr;
    }
    else if (x < 0) {
        x = 0;
        xincr = -xincr;
    }
    if (y > theight) {
        y = theight;
        yincr = -yincr;
    }
    else if (y < 0) {
        y = 0;
        yincr = -yincr;
    }
}

void mybutton::checkclick(float xval, float yval) {
    if ( ((xval > x) && (xval < x+w)) &&
        ((yval > y) && (yval < y+h)) )
    {
        ofLog(OF_LOG_NOTICE, "I done clicked the button!");
        if (buttonclicked == 0) buttonclicked = 1;
        else buttonclicked = 0;
        upper = upper + 1;
        xincr = ofRandom(-upper, upper);
        yincr = ofRandom(-upper, upper);

    }

}

int mybutton::checkstate() {
    return buttonclicked;
}



